diff -C 5 lisp-org/ChangeLog lisp/ChangeLog
*** lisp-org/ChangeLog	Sat Jul 19 14:39:22 1997
--- lisp/ChangeLog	Wed Jul 30 13:51:43 1997
***************
*** 1,5 ****
--- 1,11 ----
+ Wed Jul 30 13:46:30 1997  Danny Siu  <dsiu@adobe.com>
+ 
+ 	* smiley.el (smiley-buffer): make smiley case sensitive
+ 	(smiley-deformed-regexp-alist): added more regexp for happy smiley
+ 	(smiley-nosey-regexp-alist): same as above
+ 
  Sat Jul 19 23:32:28 1997  Lars Magne Ingebrigtsen  <larsi@menja.ifi.uio.no>
  
  	* gnus.el: Gnus v5.4.64 is released.
  
  Sat Jul 19 23:22:03 1997  Lars Magne Ingebrigtsen  <larsi@ifi.uio.no>
diff -C 5 lisp-org/smiley.el lisp/smiley.el
*** lisp-org/smiley.el	Wed Jun 18 08:31:43 1997
--- lisp/smiley.el	Wed Jul 30 13:46:20 1997
***************
*** 61,74 ****
--- 61,76 ----
      ("\\(\\T_T\\)\\W" 1 "WideFaceWeep.xbm")
      ("\\(:-*[<]+\\)\\W" 1 "FaceAngry.xpm")
      ("\\(:-+\\]+\\)\\W" 1 "FaceGoofy.xpm")
      ("\\(:-*D\\)\\W" 1 "FaceGrinning.xpm")
      ("\\(:-*[)>}]+\\)\\W" 1 "FaceHappy.xpm")
+     ("\\(=[)>]+\\)\\W" 1 "FaceHappy.xpm")
      ("\\(:-*[/\\\"]\\)[^/]\\W" 1 "FaceIronic.xpm")
      ("\\([8|]-*[|Oo%]\\)\\W" 1 "FaceKOed.xpm")
      ("\\([:|]-*#+\\)\\W" 1 "FaceNyah.xpm")
      ("\\(:-*[({]+\\)\\W" 1 "FaceSad.xpm")
+     ("\\(=[({]+\\)\\W" 1 "FaceSad.xpm")
      ("\\(:-*[Oo\*]\\)\\W" 1 "FaceStartled.xpm")
      ("\\(:-*|\\)\\W" 1 "FaceStraight.xpm")
      ("\\(:-*p\\)\\W" 1 "FaceTalking.xpm")
      ("\\(:-*d\\)\\W" 1 "FaceTasty.xpm")
      ("\\(;-*[>)}]+\\)\\W" 1 "FaceWinking.xpm")
***************
*** 84,97 ****
--- 86,101 ----
    '(("\\(:-+[<]+\\)\\W" 1 "FaceAngry.xpm")
      ("\\(:-+\\]+\\)\\W" 1 "FaceGoofy.xpm")
      ("\\(:-+D\\)\\W" 1 "FaceGrinning.xpm")
      ("\\(:-+[}]+\\)\\W" 1 "FaceHappy.xpm")
      ("\\(:-*)+\\)\\W" 1 "FaceHappy.xpm")
+     ("\\(=[)>]+\\)\\W" 1 "FaceHappy.xpm")
      ("\\(:-+[/\\\"]+\\)\\W" 1 "FaceIronic.xpm")
      ("\\([8|]-+[|Oo%]\\)\\W" 1 "FaceKOed.xpm")
      ("\\([:|]-+#+\\)\\W" 1 "FaceNyah.xpm")
      ("\\(:-+[({]+\\)\\W" 1 "FaceSad.xpm")
+     ("\\(=[({]+\\)\\W" 1 "FaceSad.xpm")
      ("\\(:-+[Oo\*]\\)\\W" 1 "FaceStartled.xpm")
      ("\\(:-+|\\)\\W" 1 "FaceStraight.xpm")
      ("\\(:-+p\\)\\W" 1 "FaceTalking.xpm")
      ("\\(:-+d\\)\\W" 1 "FaceTasty.xpm")
      ("\\(;-+[>)}]+\\)\\W" 1 "FaceWinking.xpm")
***************
*** 206,215 ****
--- 210,220 ----
  	(set-buffer buffer))
        (let ((buffer-read-only nil)
  	    (alist (if (symbolp smiley-regexp-alist)
  		       (symbol-value smiley-regexp-alist)
  		     smiley-regexp-alist))
+ 	    (case-fold-search nil)
  	    entry regexp beg group file)
  	(goto-char (or st (point-min)))
  	(setq beg (point))
  	;; loop through alist
  	(while (setq entry (pop alist))

